# My Notes Webhooks

- **OpenAPI Version:** `3.1.1`
- **API Version:** `1.0.0`

## Servers

- **URL:** `https://{your-endpoint-url}`

## Operations

### my\_notes.transcript\_generated

- **Method:** `POST`
- **Path:** `my_notes.transcript_generated`
- **Tags:** webhook

The **Transcript generated** event is triggered when a note transcript is generated.

## Prerequisites

- Enable **Event Subscriptions** for your [Marketplace app](https://marketplace.zoom.us/user/build) with:

  - A valid **Event Notification Endpoint URL**.
  - The **Transcript generated** subscription enabled under the **My Notes** event.

#### Request Body

##### Content-Type: application/json

- **`event` (required)**

  `string`, possible values: `"my_notes.transcript_generated"` — The name of the event.

- **`event_ts` (required)**

  `integer`, format: `int64` — The event's timestamp.

- **`payload` (required)**

  `object`

  - **`account_id` (required)**

    `string` — The account ID of the note owner.

  - **`object` (required)**

    `object` — Information about the note.

    - **`note_id` (required)**

      `string` — The note ID.

    - **`note_link` (required)**

      `string`, format: `uri` — The link to the note.

    - **`meeting_id`**

      `string` — The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.

  - **`operator_id` (required)**

    `string` — The user ID of the user who triggered the event.

**Example:**

```json
{
  "event": "my_notes.transcript_generated",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator_id": "",
    "object": {
      "note_id": "",
      "note_link": "",
      "meeting_id": ""
    }
  }
}
```

#### Responses

##### Status: 200 Successfully received the webhook event.

### my\_notes.note\_completed

- **Method:** `POST`
- **Path:** `my_notes.note_completed`
- **Tags:** webhook

The **Note completed** event is triggered when a note is completed.

## Prerequisites

- Enable **Event Subscriptions** for your [Marketplace app](https://marketplace.zoom.us/user/build) with:

  - A valid **Event Notification Endpoint URL**.
  - The **Note completed** subscription enabled under the **My Notes** event.

#### Request Body

##### Content-Type: application/json

- **`event` (required)**

  `string`, possible values: `"my_notes.note_completed"` — The name of the event.

- **`event_ts` (required)**

  `integer`, format: `int64` — The timestamp at which the event occurred.

- **`payload` (required)**

  `object`

  - **`account_id` (required)**

    `string` — The account ID of the note owner.

  - **`object` (required)**

    `object` — Information about the note.

    - **`note_id` (required)**

      `string` — The note ID.

    - **`note_link` (required)**

      `string`, format: `uri` — The link to the note.

    - **`meeting_id`**

      `string` — The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.

  - **`operator_id` (required)**

    `string` — The user ID of the user who triggered the event.

**Example:**

```json
{
  "event": "my_notes.note_completed",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator_id": "",
    "object": {
      "note_id": "",
      "note_link": "",
      "meeting_id": ""
    }
  }
}
```

#### Responses

##### Status: 200 Successfully received the webhook event.

### my\_notes.note\_generated

- **Method:** `POST`
- **Path:** `my_notes.note_generated`
- **Tags:** webhook

The **Note generated** event is triggered every time one of your app users or account users generate note.

## Prerequisites

- A Pro or higher plan.

- **Event Subscriptions** must be enabled for your [Marketplace app](https://marketplace.zoom.us/user/build) with the following configurations:

  - A valid **Event Notification Endpoint URL**
  - The **Note generated** subscription enabled under the **My Notes** event.

#### Request Body

##### Content-Type: application/json

- **`event` (required)**

  `string` — The name of the event.

- **`event_ts` (required)**

  `integer`, format: `int64` — The timestamp at which the event occurred.

- **`payload` (required)**

  `object`

  - **`account_id` (required)**

    `string` — The account ID of the user who generated the note.

  - **`object` (required)**

    `object` — Information about the note.

    - **`created_time` (required)**

      `string`, format: `date-time` — The creation time of the note in RFC 3339 format.

    - **`note_id` (required)**

      `string` — The note ID.

    - **`note_link` (required)**

      `string` — The link to the note.

    - **`note_name` (required)**

      `string` — The name of the note.

    - **`updated_time` (required)**

      `string`, format: `date-time` — The last updated time of the note in RFC 3339 format.

    - **`meeting_id`**

      `string` — The meeting ID associated with the note. This field is only returned when the note is linked to a Zoom Meeting. Otherwise, it is an empty string.

  - **`operator` (required)**

    `string`, format: `email` — The email address of the user who generated the note.

  - **`operator_id` (required)**

    `string` — The user ID of the user who generated the note.

**Example:**

```json
{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "note_id": "",
      "note_link": "",
      "note_name": "",
      "created_time": "",
      "updated_time": "",
      "meeting_id": ""
    }
  }
}
```

#### Responses

##### Status: 200 Successfully received the webhook event.

## Schemas

### My\_notes.transcript\_generatedEvent

- **Type:**`object`

* **`event` (required)**

  `string`, possible values: `"my_notes.transcript_generated"` — The name of the event.

* **`event_ts` (required)**

  `integer`, format: `int64` — The event's timestamp.

* **`payload` (required)**

  `object`

  - **`account_id` (required)**

    `string` — The account ID of the note owner.

  - **`object` (required)**

    `object` — Information about the note.

    - **`note_id` (required)**

      `string` — The note ID.

    - **`note_link` (required)**

      `string`, format: `uri` — The link to the note.

    - **`meeting_id`**

      `string` — The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.

  - **`operator_id` (required)**

    `string` — The user ID of the user who triggered the event.

**Example:**

```json
{
  "event": "my_notes.transcript_generated",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator_id": "",
    "object": {
      "note_id": "",
      "note_link": "",
      "meeting_id": ""
    }
  }
}
```

### My\_notes.note\_completedEvent

- **Type:**`object`

* **`event` (required)**

  `string`, possible values: `"my_notes.note_completed"` — The name of the event.

* **`event_ts` (required)**

  `integer`, format: `int64` — The timestamp at which the event occurred.

* **`payload` (required)**

  `object`

  - **`account_id` (required)**

    `string` — The account ID of the note owner.

  - **`object` (required)**

    `object` — Information about the note.

    - **`note_id` (required)**

      `string` — The note ID.

    - **`note_link` (required)**

      `string`, format: `uri` — The link to the note.

    - **`meeting_id`**

      `string` — The Zoom meeting ID. Returned only when the note is associated with a Zoom meeting.

  - **`operator_id` (required)**

    `string` — The user ID of the user who triggered the event.

**Example:**

```json
{
  "event": "my_notes.note_completed",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator_id": "",
    "object": {
      "note_id": "",
      "note_link": "",
      "meeting_id": ""
    }
  }
}
```

### My\_notes.note\_generatedEvent

- **Type:**`object`

* **`event` (required)**

  `string` — The name of the event.

* **`event_ts` (required)**

  `integer`, format: `int64` — The timestamp at which the event occurred.

* **`payload` (required)**

  `object`

  - **`account_id` (required)**

    `string` — The account ID of the user who generated the note.

  - **`object` (required)**

    `object` — Information about the note.

    - **`created_time` (required)**

      `string`, format: `date-time` — The creation time of the note in RFC 3339 format.

    - **`note_id` (required)**

      `string` — The note ID.

    - **`note_link` (required)**

      `string` — The link to the note.

    - **`note_name` (required)**

      `string` — The name of the note.

    - **`updated_time` (required)**

      `string`, format: `date-time` — The last updated time of the note in RFC 3339 format.

    - **`meeting_id`**

      `string` — The meeting ID associated with the note. This field is only returned when the note is linked to a Zoom Meeting. Otherwise, it is an empty string.

  - **`operator` (required)**

    `string`, format: `email` — The email address of the user who generated the note.

  - **`operator_id` (required)**

    `string` — The user ID of the user who generated the note.

**Example:**

```json
{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "note_id": "",
      "note_link": "",
      "note_name": "",
      "created_time": "",
      "updated_time": "",
      "meeting_id": ""
    }
  }
}
```
